JNDIRealm.JNDIConnection (Apache Tomcat 9.0.43 API Documentation)

org.apache.catalina.realm

## Class JNDIRealm.JNDIConnection

- java.lang.Object
- - org.apache.catalina.realm.JNDIRealm.JNDIConnection

- Enclosing class:
    JNDIRealm

      protected static class JNDIRealm.JNDIConnection
      extends Object

  Class holding the connection to the directory plus the associated non thread safe message formats.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected DirContext` | `context` The directory context linking us to our directory server.
    `protected MessageFormat` | `roleBaseFormat` The MessageFormat object associated with the current `roleBase`.
    `protected MessageFormat` | `roleFormat` The MessageFormat object associated with the current `roleSearch`.
    `protected MessageFormat[]` | `userPatternFormatArray` An array of MessageFormat objects associated with the current `userPatternArray`.
    `protected MessageFormat` | `userSearchFormat` The MessageFormat object associated with the current `userSearch`.

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `JNDIConnection()`

  - ### Method Summary

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### userSearchFormat

          protected MessageFormat userSearchFormat

      The MessageFormat object associated with the current `userSearch`.

    - #### userPatternFormatArray

          protected MessageFormat[] userPatternFormatArray

      An array of MessageFormat objects associated with the current `userPatternArray`.

    - #### roleBaseFormat

          protected MessageFormat roleBaseFormat

      The MessageFormat object associated with the current `roleBase`.

    - #### roleFormat

          protected MessageFormat roleFormat

      The MessageFormat object associated with the current `roleSearch`.

    - #### context

          protected DirContext context

      The directory context linking us to our directory server.

  - ### Constructor Detail

    - #### JNDIConnection

          protected JNDIConnection()

Copyright © 2000-2021 Apache Software Foundation. All Rights Reserved.